# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExternalValidationContext(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'external_validations': 'list[FormserviceapiformsrendererexternalvalidationExternalValidations]',
        'context': 'dict(str, FormserviceapiformsrendererexternalvalidationContext)'
    }

    attribute_map = {
        'external_validations': 'externalValidations',
        'context': 'context'
    }

    def __init__(self, external_validations=None, context=None):  # noqa: E501
        """ExternalValidationContext - a model defined in Swagger"""  # noqa: E501
        self._external_validations = None
        self._context = None
        self.discriminator = None
        if external_validations is not None:
            self.external_validations = external_validations
        if context is not None:
            self.context = context

    @property
    def external_validations(self):
        """Gets the external_validations of this ExternalValidationContext.  # noqa: E501


        :return: The external_validations of this ExternalValidationContext.  # noqa: E501
        :rtype: list[FormserviceapiformsrendererexternalvalidationExternalValidations]
        """
        return self._external_validations

    @external_validations.setter
    def external_validations(self, external_validations):
        """Sets the external_validations of this ExternalValidationContext.


        :param external_validations: The external_validations of this ExternalValidationContext.  # noqa: E501
        :type: list[FormserviceapiformsrendererexternalvalidationExternalValidations]
        """

        self._external_validations = external_validations

    @property
    def context(self):
        """Gets the context of this ExternalValidationContext.  # noqa: E501


        :return: The context of this ExternalValidationContext.  # noqa: E501
        :rtype: dict(str, FormserviceapiformsrendererexternalvalidationContext)
        """
        return self._context

    @context.setter
    def context(self, context):
        """Sets the context of this ExternalValidationContext.


        :param context: The context of this ExternalValidationContext.  # noqa: E501
        :type: dict(str, FormserviceapiformsrendererexternalvalidationContext)
        """

        self._context = context

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExternalValidationContext, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExternalValidationContext):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
